Printago API
PATCH /v1/materials/printer-slots/profile

Set slot profile

Set the slicing profile for a printer slot

Requires: printer.edit

Request Body

Printer IDs, visual slot position, and profile to use

SetSlotProfileRequest
filamentSystemProfileIdoptionalnullable
number
filamentUserProfileIdoptionalnullable
string
pattern: ^[a-z0-9]{24}$
printerIdsrequired
string[]
visualSlotrequired
object
Visual slot position - represents what the user selected in the UI. amsIndex: -1 for spool, 0+ for AMS array index slotIndex: slot within AMS, or spool index for multiple spools
amsIndexrequired
number
slotIndexrequired
number

Example Request

application/json
{
  "printerIds": [
    "string"
  ],
  "visualSlot": {
    "amsIndex": 1,
    "slotIndex": 1
  },
  "filamentUserProfileId": "string",
  "filamentSystemProfileId": 1
}